curl --request GET \
--url https://api.example.com/v1/cases/{case_id}/documents \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "01K5XB07CJ5T22HRYE78AN7DEF",
"type": "death_certificate",
"file_name": "death_cert_scan.pdf",
"file_size_bytes": 245000,
"mime_type": "application/pdf",
"status": "uploaded",
"uploaded_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"page": 1,
"per_page": 25,
"total_count": 142,
"total_pages": 6,
"next_cursor": "eyJpZCI6IjAxSzVXRjA2TUo2VDk5SFJZRTQ4QU43WE04In0=",
"has_more": true
}
}List all documents for a case.
curl --request GET \
--url https://api.example.com/v1/cases/{case_id}/documents \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "01K5XB07CJ5T22HRYE78AN7DEF",
"type": "death_certificate",
"file_name": "death_cert_scan.pdf",
"file_size_bytes": 245000,
"mime_type": "application/pdf",
"status": "uploaded",
"uploaded_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"page": 1,
"per_page": 25,
"total_count": 142,
"total_pages": 6,
"next_cursor": "eyJpZCI6IjAxSzVXRjA2TUo2VDk5SFJZRTQ4QU43WE04In0=",
"has_more": true
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Unique case identifier (ULID format).
Page number for pagination.
x >= 1Number of items per page.
1 <= x <= 100death_certificate, probate_document, bank_document, credit_report, birth_certificate, deceased_id, executor_id, property_report, will, trust_documents, other uploaded, skipped, pending, rejected